package de.ivu.elect.interfaces.core;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

import de.ivu.elect.interfaces.was.stimmeingabe.Ergebniseingangsart;

/**
 * Werte aus dem WAS
 */
@XmlAccessorType(XmlAccessType.FIELD)
public class Wahldurchfuehrung implements Serializable {

  @XmlElement(required = true)
  private String sitzberechnungsalgorithmus;

  @XmlElement(required = true, namespace = "http://www.ivu.de/ELECT/STIMMEINGABE")
  private Ergebniseingangsart ergebniseingangsart;

  @XmlElement(required = false)
  @Deprecated
  private String textFuerPraesentation;

  public String getSitzberechnungsalgorithmus() {
    return sitzberechnungsalgorithmus;
  }

  public void setSitzberechnungsalgorithmus(String sitzberechnungsalgorithmus) {
    this.sitzberechnungsalgorithmus = sitzberechnungsalgorithmus;
  }

  public Ergebniseingangsart getErgebniseingangsart() {
    return ergebniseingangsart;
  }

  public void setErgebniseingangsart(Ergebniseingangsart ergebniseingangsart) {
    this.ergebniseingangsart = ergebniseingangsart;
  }

  @Deprecated
  public String getTextFuerPraesentation() {
    return textFuerPraesentation;
  }

  @Deprecated
  public void setTextFuerPraesentation(String textFuerPraesentation) {
    this.textFuerPraesentation = textFuerPraesentation;
  }
}
